tbb::task_group Class Reference

`#include <task_group.h>`

Inheritance diagram for tbb::task_group:
Collaboration diagram for tbb::task_group:

## Public Member Functions

| task_group ()
template<typename F >
void | run (F &&f)
template<typename F >
task_group_status | run_and_wait (const F &f)
template<typename F >
task_group_status | run_and_wait (task_handle< F > &h)
template<typename F >
void | run (task_handle< F > &h)
Public Member Functions inherited from tbb::internal::task_group_base
| task_group_base (uintptr_t traits=0)
| ~task_group_base () __TBB_NOEXCEPT(false)
template<typename F >
void | run (task_handle< F > &h)
task_group_status | wait ()
bool | is_canceling ()
void | cancel ()

## Additional Inherited Members

Protected Member Functions inherited from tbb::internal::task_group_base
template<typename F >
task_group_status | internal_run_and_wait (F &f)
template<typename Task , typename F >
task * | prepare_task (__TBB_FORWARDING_REF(F) f)
Protected Attributes inherited from tbb::internal::task_group_base
empty_task * | my_root
task_group_context | my_context

## Detailed Description

Definition at line 192 of file task_group.h.

## Constructor & Destructor Documentation

## task_group()

tbb::task_group::task_group | ( |  | ) |

inline

Definition at line 194 of file task_group.h.

: task_group_base( task_group_context::concurrent_wait ) {}
tbb::task_group_context::concurrent_wait
@ concurrent_wait
Definition: task.h:387
tbb::internal::task_group_base::task_group_base
task_group_base(uintptr_t traits=0)
Definition: task_group.h:128

## Member Function Documentation

## run() [1/2]

template<typename F >

void tbb::task_group::run | ( | F && | f | ) |

inline

Definition at line 207 of file task_group.h.

{
task::spawn( *prepare_task< internal::function_task< typename internal::strip<F>::type > >(std::forward<F>(f)) );
}
tbb::internal::strip::type
T type
Definition: _template_helpers.h:38
tbb::internal::task_group_base::prepare_task
task * prepare_task(__TBB_FORWARDING_REF(F) f)
Definition: task_group.h:123

References tbb::internal::task_group_base::prepare_task().

Here is the call graph for this function:

## run() [2/2]

template<typename F >

void tbb::internal::task_group_base::run | ( | typename F |  | ) |

inline

Definition at line 162 of file task_group.h.

{
task::spawn( *prepare_task< internal::task_handle_task<F> >(h) );
}
h
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function h
Definition: ittnotify_static.h:159

## run_and_wait() [1/2]

template<typename F >

task_group_status tbb::task_group::run_and_wait | ( | const F & | f | ) |

inline

Definition at line 218 of file task_group.h.

{
return internal_run_and_wait<const F>( f );
}

## run_and_wait() [2/2]

template<typename F >

task_group_status tbb::task_group::run_and_wait | ( | task_handle< F > & | h | ) |

inline

Definition at line 224 of file task_group.h.

{
h.mark_scheduled();
return internal_run_and_wait< task_handle<F> >( h );
}

References h.

The documentation for this class was generated from the following file:

- task_group.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.